# Uses of Interface
org.pentaho.reporting.libraries.formula.operators.PrefixOperator

Packages that use PrefixOperator
Package
Description
org.pentaho.reporting.libraries.formula.lvalues
org.pentaho.reporting.libraries.formula.operators
org.pentaho.reporting.libraries.formula.parser

## Uses of PrefixOperator in org.pentaho.reporting.libraries.formula.lvalues

Methods in org.pentaho.reporting.libraries.formula.lvalues that return PrefixOperator
Modifier and Type
Method
Description
`PrefixOperator`
PrefixTerm.`getOperator()`
Constructors in org.pentaho.reporting.libraries.formula.lvalues with parameters of type PrefixOperator
Modifier
Constructor
Description
``
`PrefixTerm(PrefixOperator operator, LValue value)`

## Uses of PrefixOperator in org.pentaho.reporting.libraries.formula.operators

Classes in org.pentaho.reporting.libraries.formula.operators that implement PrefixOperator
Modifier and Type
Class
Description
`class`
`MinusSignOperator`
Creation-Date: 02.11.2006, 10:27:03
`class`
`PlusSignOperator`
This is a no-op-operator which is equal to "zero plus x".
Methods in org.pentaho.reporting.libraries.formula.operators that return PrefixOperator
Modifier and Type
Method
Description
`PrefixOperator`
DefaultOperatorFactory.`createPrefixOperator(String operator)`
`PrefixOperator`
OperatorFactory.`createPrefixOperator(String operator)`

## Uses of PrefixOperator in org.pentaho.reporting.libraries.formula.parser

Methods in org.pentaho.reporting.libraries.formula.parser that return PrefixOperator
Modifier and Type
Method
Description
`final PrefixOperator`
GeneratedFormulaParser.`getPrefixOperator()`